import { css, LitElement, html } from 'lit';
import { queryAssignedNodes } from 'lit/decorators.js';

var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __decorateClass = (decorators, target, key, kind) => {
  var result = kind > 1 ? void 0 : kind ? __getOwnPropDesc(target, key) : target;
  for (var i = decorators.length - 1, decorator; i >= 0; i--)
    if (decorator = decorators[i])
      result = (kind ? decorator(target, key, result) : decorator(result)) || result;
  if (kind && result)
    __defProp(target, key, result);
  return result;
};
class UUIBreadcrumbsElement extends LitElement {
  _setLastItem() {
    if (this._breadcrumbs) {
      this._breadcrumbs[this._breadcrumbs.length - 1].lastItem = true;
      this._breadcrumbs[this._breadcrumbs.length - 1].setAttribute("aria-current", "page");
    }
  }
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("aria-label", "breadcrumb");
    this.setAttribute("role", "navigation");
  }
  render() {
    return html`<ol id="breadcrumbs-list">
      <slot @slotchange=${this._setLastItem}></slot>
    </ol>`;
  }
}
UUIBreadcrumbsElement.styles = [
  css`
      :host {
        display: flex;
      }

      #breadcrumbs-list {
        display: flex;
        list-style-type: decimal;
        -webkit-margin-before: 0em;
                margin-block-start: 0em;
        -webkit-margin-after: 0em;
                margin-block-end: 0em;
        -webkit-margin-start: 0px;
                margin-inline-start: 0px;
        -webkit-margin-end: 0px;
                margin-inline-end: 0px;
        -webkit-padding-start: 0px;
                padding-inline-start: 0px;
      }
    `
];
__decorateClass([
  queryAssignedNodes(void 0, true, "uui-breadcrumb-item")
], UUIBreadcrumbsElement.prototype, "_breadcrumbs", 2);

export { UUIBreadcrumbsElement };
